Module java.desktop
Package javax.swing.plaf.basic

# Class BasicComboPopup.ListSelectionHandler

java.lang.Object
javax.swing.plaf.basic.BasicComboPopup.ListSelectionHandler

All Implemented Interfaces:
  `EventListener`, `ListSelectionListener`

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.ListSelectionHandler
    extends Object
    implements ListSelectionListener

As of Java 2 platform v 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `ListSelectionHandler()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.event.ListSelectionListener

`valueChanged`

## Constructor Details

### ListSelectionHandler

protected ListSelectionHandler()